#!/bin/bash

#  ============LICENSE_START===============================================
#  Copyright (C) 2021 Nordix Foundation. All rights reserved.
#  ========================================================================
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  ============LICENSE_END=================================================
#

# Run the consumer as a docker app

print_err() {
    echo "usage: local-run.sh local|local-secure"
}

if [ $# -ne 1 ]; then
    print_err
    exit 1
fi

if [ $1 != "local" ] && [ $1 != "local-secure" ]; then
    print_err
    exit 1
fi


. build_and_run_env.sh $1

cd app

echo "When running in local mode - no callbacks from ECS or PMS are possible"
echo "local mode is only intended for debugging code that is not dependent of callbacks"

echo "Starting on port: "$PORT

python3 -u rconsumer.py $PORT


